#ifndef __REQUEST__
#define __REQUEST__

typedef enum{
	STP = 0,
	STR,
	ROT
} run_state_t;

extern void request_set_runmode(run_state_t state, int speed, int dist);
extern void request_set_line(int pwm);
extern void request_set_marker(int pwm);
extern void request_set_ark(int speed, int dist, double cb_raito);
extern int  request_get_runmode(run_state_t *state, int *speed, int *dist);
extern int  request_get_dist(int *dist_l, int *dist_r);
extern int  request_get_batt(double *volt);

#endif
