#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "arduino.h"
#include "battery.h"

void battery_get(double *batt_a, double *batt_b){
	command_data_t command_data;

	command_data.val[0] = 12;
	command_data.val[1] = 0;
	command_data.val[2] = 0;

	arduino_clear();
	arduino_send(command_data);
	usleep(50 * 1000);

	if(arduino_receive(&command_data) == 0){
	*batt_a = command_data.val[1] / 100.0;
    *batt_b = command_data.val[2] / 100.0;
	}
}
