#include <stdio.h>
#include <unistd.h>
#include <pthread.h>
#include "arduino.h"
#include "battery.h"
#include "switch.h"
#include "request.h"
#include "run.h"
#include "display.h"

void *check_batt();

int *line_onoff;
int battery_flag=0;

int main(){
  int course_num = 3;
  pthread_t thread_run,thread_batt;

  if(switch_open() != 0) return -1;
	if(arduino_open() != 0) return -1;

  //printf("press enter to start\n");
  //getchar();
  //course_num = display_wait();
  printf("recv:%d\n",course_num);
  //run(course_num);
  pthread_create(&thread_run,NULL,run,&course_num);
  pthread_create(&thread_batt,NULL,&check_batt,NULL);
  pthread_join(thread_batt,NULL);
  pthread_cancel(thread_run);

	request_set_runmode(STP,0,0);
  request_set_line(0);
  request_set_marker(0);
  arduino_close();
  return 0;
}

void *check_batt(){
  double batt_a,batt_b;
  while(1){
  	usleep(2000*1000);
    battery_get(&batt_a,&batt_b);
    printf("%lf,%lf\n",batt_a,batt_b);
    usleep(10*1000);
    if(batt_a==0 && batt_b==0){
      battery_flag=1;
      break;
    }
  }
}

