#緊急停止画面
import wx
from datetime import datetime,timedelta,timezone
import time

class Emergency(wx.Frame):
    def __init__(self,parent):
        wx.Frame.__init__(self,parent,-1,"emergency")
        size=wx.ScreenDC().GetSize()
        self.SetSize(size)
        self.SetPosition(wx.Point(0,0))
        self.SetEmergency()

    def SetEmergency(self):
        empanel=wx.Panel(self)
        message1=wx.StaticText(empanel,-1,"緊急停止中")
        message2=wx.StaticText(empanel,-1,"緊急停止スイッチが押されました")

        font2=wx.Font(60,wx.FONTFAMILY_DEFAULT,wx.FONTSTYLE_NORMAL,wx.FONTWEIGHT_BOLD)
        message1.SetFont(font2)
        font3=wx.Font(30,wx.FONTFAMILY_DEFAULT,wx.FONTSTYLE_NORMAL,wx.FONTWEIGHT_NORMAL)
        message2.SetFont(font3)
        message1.SetForegroundColour('#FF0000')

        sizer=wx.GridBagSizer()
        sizer.Add(message1,(1,0),(1,1),flag=wx.EXPAND|wx.LEFT,border=100)
        sizer.Add(message2,(2,0),(1,1),flag=wx.EXPAND|wx.LEFT,border=100)
        sizer.AddGrowableRow(0,1)
        sizer.AddGrowableRow(1,3)
        sizer.AddGrowableRow(2,2)
        sizer.AddGrowableCol(0,1)
        empanel.SetSizer(sizer)
